Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class ListIterator

    java.lang.Object
      net.sf.saxon.om.ListIterator

All Implemented Interfaces:
  AxisIterator, GroundedIterator, LastPositionFinder, LookaheadIterator, SequenceIterator

public final class ListIterator
extends java.lang.Object
implements AxisIterator, LastPositionFinder, LookaheadIterator, GroundedIterator

Class ListIterator, iterates over a sequence of items held in a Java ArrayList, or indeed in any other kind of List

Constructor Summary
`ListIterator(java.util.List list)` Create a ListIterator over a given List

Method Summary
`Item` | `current()` Get the current item in the sequence.
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence
`int` | `getLastPosition()` Get the last position (that is, the number of items in the sequence)
`boolean` | `hasNext()` Determine whether there are more items to come.
`Value` | `materialize()` Return a SequenceValue containing all the items in the sequence returned by this SequenceIterator
`Item` | `next()` Get the next item in the sequence.
`int` | `position()` Get the current position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListIterator

    public ListIterator(java.util.List list)

  Create a ListIterator over a given List

Parameters:
  `list` - the list: all objects in the list must be instances of `Item`

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `LookaheadIterator`
  Determine whether there are more items to come. Note that this operation is stateless and it is not necessary (or usual) to call it before calling next(). It is used only when there is an explicit need to tell if we are at the last element.

  Specified by:
    `hasNext` in interface `LookaheadIterator`
  Returns:
    true if there are more nodes

### next

    public Item next()

  Description copied from interface: `AxisIterator`
  Get the next item in the sequence.

  Specified by:
    `next` in interface `AxisIterator`
  Returns:
    the next Item. If there are no more nodes, return null.

### current

    public Item current()

  Description copied from interface: `AxisIterator`
  Get the current item in the sequence.

  Specified by:
    `current` in interface `AxisIterator`
  Returns:
    the current item, that is, the item most recently returned by next()

### position

    public int position()

  Description copied from interface: `AxisIterator`
  Get the current position

  Specified by:
    `position` in interface `AxisIterator`
  Returns:
    the position of the current item (the item most recently returned by next()), starting at 1 for the first node

### getLastPosition

    public int getLastPosition()

  Description copied from interface: `LastPositionFinder`
  Get the last position (that is, the number of items in the sequence)

  Specified by:
    `getLastPosition` in interface `LastPositionFinder`

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `AxisIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence

  Specified by:
    `getAnother` in interface `AxisIterator`
  Returns:
    a new iterator over the same sequence

### materialize

    public Value materialize()

  Return a SequenceValue containing all the items in the sequence returned by this SequenceIterator

  Specified by:
    `materialize` in interface `GroundedIterator`
  Returns:
    the corresponding SequenceValue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD